
CoCoA-5 - Design #491

Cleaning: Cruft in CoCoA-5 packages

22 Mar 2014 22:27 - John Abbott

Status: In Progress Start date: 22 Mar 2014

Priority: Normal Due date:  

Assignee:  % Done: 20%

Category: Cleaning Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.70 hour

Description

There is a HUGE amount of cruft in the C5 packages; more than enough to make maintenance much harder than necessary (I've

been lowercasing some fn names).

Some packages seems to define their own versions of some "common" fns such as Den in hp.pkg5; moreover, I think this fn is

sometimes called without the $. prefix -- this surely looks like a recipe for trouble!  Indeed I wonder if my lowercasing of the packages

has introduced some bugs; there's such a mess, it's almost impossible for me to tell!

Reduce the amount of cruft!

[I know most people will never look in the packages, but the few that do won't be impressed!]

Related issues:

Related to CoCoA-5 - Design #493: Cleanup Hilbert package hp.cpkg5 Closed 24 Mar 2014

Related to CoCoA-5 - Support #940: Check all fns in packages work even withou... Closed 10 Oct 2016

History

#1 - 22 Mar 2014 22:31 - John Abbott

The packages that "upset" me the most are coclib and primary (or radical?)

#2 - 28 Mar 2014 08:12 - Anna Maria Bigatti

- Subject changed from Cruft in C5 packages to Cleaning: Cruft in C5 packages

#3 - 02 Apr 2014 17:34 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 07 Apr 2014 18:06 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 22 Jul 2014 09:42 - Anna Maria Bigatti

This task will never be closed (when would we ever be able to say that? ;-)

So, let's say that we start deleting obsolete code when we see it....

#6 - 01 Sep 2014 14:50 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

- % Done changed from 0 to 10

Perhaps this task is best achieved by Anna and me together; we should meet occasionally and remove "dead" code from some packages.

Some of the cleaning may create a new redmine task to implement some feature in CoCoALib....

#7 - 11 May 2015 14:49 - John Abbott
- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

#8 - 17 Feb 2016 10:40 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.3/4 Jan 2016 to CoCoA-5.2.0 spring 2017

#9 - 13 Oct 2016 13:09 - John Abbott

- Related to Support #940: Check all fns in packages work even without BackwardCompatible.cpkg5 added

#10 - 13 Oct 2016 13:12 - John Abbott

- Priority changed from Normal to High

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

- % Done changed from 10 to 20

This is going to be a long and tedious job; moreover it should probably be done when Anna and I can be together.

From a user's point of view it is not so important (since everything seems to work fine), but we should certainly do something before too long.

#11 - 13 Oct 2016 13:39 - Anna Maria Bigatti

- Subject changed from Cleaning: Cruft in C5 packages to Cleaning: Cruft in CoCoA-5 packages

This issue seems dormant, in reality every time we open a package we clean it up a little bit ;-)

(for example with #940)

#12 - 06 Nov 2017 14:09 - Redmine Admin

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4

#13 - 25 Jul 2018 14:26 - John Abbott

- Priority changed from High to Normal

- Target version changed from CoCoA-5.2.4 to CoCoA-5.?.?
